const baseUrl = Cypress.env('CYPRESS_BASE_URL');
const userEmail = Cypress.env('USER_EMAIL');
const userPassword = Cypress.env('USER_PASSWORD');
const adminEmail = Cypress.env('ADMIN_EMAIL');
const loginUrl = `${baseUrl}/login`;

describe('Login page', () => {
  it('should login and go to home', () => {
    cy.login(userEmail, userPassword);
    cy.url({ timeout: 10000 }).should('eq', loginUrl);
  });
});

describe('login admin', () => {
  it('should login and go to admin home', () => {
    cy.login(adminEmail, userPassword);
    cy.url({ timeout: 10000 }).should('eq', loginUrl);
  });
});

describe('login invalid password', () => {
  it('should not login', () => {
    const wrongPassword = '1';

    cy.login(adminEmail, wrongPassword);
    cy.url({ timeout: 10000 }).should('eq', loginUrl);
    cy.get('.login_errorContainer__C6Hgp').should('be.visible');
  });
});

describe('login invalid email', () => {
  it('should not login', () => {
    const worngEmail = 'globo.email';

    cy.login(worngEmail, userPassword);
    cy.url({ timeout: 10000 }).should('eq', loginUrl);
    cy.get('.login_errorContainer__C6Hgp').should('be.visible');
    cy.get('#outlined-email-input-helper-text').should('be.visible');
  });
});
