declare namespace Cypress {
  interface Chainable {
    login(email:string, password:string): void;
  }
}

Cypress.Commands.add('login', (email, password) => {
  const baseUrl = Cypress.env('CYPRESS_BASE_URL');
  const loginUrl = `${baseUrl}/login`;

  cy.visit(loginUrl);

  cy.get('input#outlined-email-input').type(email);
  cy.get('input#outlined-password-input').type(password);

  cy.get('button#loginButton').click();
});
